# matrix.c File Reference

`#include "magick/studio.h"`
`#include "magick/matrix.h"`
`#include "magick/memory_.h"`
`#include "magick/utility.h"`

## Defines

#define | GaussJordanSwap(x, y)

## Functions

MagickExport double ** | AcquireMagickMatrix (const unsigned long nptrs, const unsigned long size)
MagickExport MagickBooleanType | GaussJordanElimination (double **matrix, double **vectors, const unsigned long rank, const unsigned long nvecs)
MagickExport void | LeastSquaresAddTerms (double **matrix, double **vectors, const double *terms, const double *results, const unsigned long rank, const unsigned long nvecs)
MagickExport double ** | RelinquishMagickMatrix (double **matrix, const unsigned long nptrs)

## Define Documentation

#define GaussJordanSwap | ( | x,
|  | y |  | ) |

Value:

    { \
      if ((x) != (y)) \
        { \
          (x)+=(y); \
          (y)=(x)-(y); \
          (x)=(x)-(y); \
        } \
    }

## Function Documentation

MagickExport double** AcquireMagickMatrix | ( | const unsigned long | nptrs,
|  | const unsigned long | size |
| ) |  |  |

MagickExport MagickBooleanType GaussJordanElimination | ( | double ** | matrix,
|  | double ** | vectors,
|  | const unsigned long | rank,
|  | const unsigned long | nvecs |
| ) |  |  |

MagickExport void LeastSquaresAddTerms | ( | double ** | matrix,
|  | double ** | vectors,
|  | const double * | terms,
|  | const double * | results,
|  | const unsigned long | rank,
|  | const unsigned long | nvecs |
| ) |  |  |

MagickExport double** RelinquishMagickMatrix | ( | double ** | matrix,
|  | const unsigned long | nptrs |
| ) |  |  |